Package org.eigenbase.resgen

# Interface Generator

All Known Implementing Classes:
  `AbstractGenerator`, `AbstractJavaGenerator`, `CppGenerator`, `CppHeaderGenerator`, `JavaBaseGenerator`, `JavaFunctorBaseGenerator`, `JavaLocaleGenerator`

interface Generator
A generator converts a set of resource definitions to a piece of code.

Since:
  19 September, 2005
Version:
  $Id: //open/util/resgen/src/org/eigenbase/resgen/Generator.java#3 $
Author:
  jhyde

## Method Summary

Modifier and Type
Method
Description
`void`
`generateModule(ResourceGen generator, ResourceDef.ResourceBundle resourceList, PrintWriter pw)`
Generates a class containing a line for each resource.
`void`
`setScmSafeComments(boolean enabled)`
Configures whether this generator will output comments that may be submitted to a source code management system.

## Method Details

### setScmSafeComments

void setScmSafeComments(boolean enabled)
Configures whether this generator will output comments that may be submitted to a source code management system. In general, it squelches comments indicating the file should not be checked in as well as comments change with each generation of the file (thereby avoiding merge conflicts).

Parameters:
  `enabled` -

### generateModule

void generateModule(ResourceGen generator, ResourceDef.ResourceBundle resourceList, PrintWriter pw)
Generates a class containing a line for each resource.